commit:     76d32116ea2da9952507f29bf76970f58923cd61
Author:     Ionen Wolkens <ionen <AT> gentoo <DOT> org>
AuthorDate: Mon Jul 25 22:54:28 2022 +0000
Commit:     Ionen Wolkens <ionen <AT> gentoo <DOT> org>
CommitDate: Mon Jul 25 23:17:21 2022 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=76d32116

games-engines/devilutionx: add 1.4.1

Signed-off-by: Ionen Wolkens <ionen <AT> gentoo.org>

 games-engines/devilutionx/Manifest                 |  1 +
 games-engines/devilutionx/devilutionx-1.4.1.ebuild | 77 ++++++++++++++++++++++
 2 files changed, 78 insertions(+)

diff --git a/games-engines/devilutionx/Manifest 
b/games-engines/devilutionx/Manifest
index f2549f29e76a..be798b6b8683 100644
--- a/games-engines/devilutionx/Manifest
+++ b/games-engines/devilutionx/Manifest
@@ -1 +1,2 @@
 DIST devilutionx-1.4.0.tar.xz 19752052 BLAKE2B 
3a79e9d88cc2f5623dfd7d4ad2a0a547361cde8d95197be36dc7076e0b56fa1a915c57bf5537f5e4508201c3b5a283ab90d13db93b3836b0f12c6108abf1578a
 SHA512 
9519c0bd52798f35fc986fab867b0005010f089b35200b5d54b7ed94145c2df54270a570cd3b0ff1c260f645d624a145e3581d744b48ae513919eb2258331bcf
+DIST devilutionx-1.4.1.tar.xz 19679968 BLAKE2B 
51ae007d5d1dce25a9af20b98017826534d835c2a74bfcd78cb4fb3c8e86b4e2e55a302e0412cbbcff8f931ad33a2baab806199769660351f31cc49fa91814b6
 SHA512 
9709600395abfd697bc45757bd2cf3e5cf0e07e2c55c86a48a73e9f52003c274724e26306b4fcb36c2eda0776c51dbab96599c0d14744244c8c037fd5dd14263

diff --git a/games-engines/devilutionx/devilutionx-1.4.1.ebuild 
b/games-engines/devilutionx/devilutionx-1.4.1.ebuild
new file mode 100644
index 000000000000..e7608abb497b
--- /dev/null
+++ b/games-engines/devilutionx/devilutionx-1.4.1.ebuild
@@ -0,0 +1,77 @@
+# Copyright 1999-2022 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+inherit cmake xdg
+
+DESCRIPTION="Diablo engine for modern operating systems"
+HOMEPAGE="https://github.com/diasurgical/devilutionX/";
+SRC_URI="https://github.com/diasurgical/devilutionX/releases/download/${PV}/devilutionx-src.tar.xz
 -> ${P}.tar.xz"
+S="${WORKDIR}/${PN}-src-${PV}-5ad792133"
+
+LICENSE="Unlicense CC-BY-4.0 GPL-2+ LGPL-2.1+ MIT OFL-1.1 zerotier? ( BSL-1.1 
)"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+IUSE="debug +sodium test zerotier"
+RESTRICT="!test? ( test )"
+
+RDEPEND="
+       app-arch/bzip2:=
+       dev-libs/libfmt:=
+       media-libs/libsdl2[haptic,joystick,opengl,video]
+       media-libs/sdl2-image[png]
+       sys-libs/zlib:=
+       media-libs/sdl_audiolib
+       sodium? ( dev-libs/libsodium:= )"
+DEPEND="
+       ${RDEPEND}
+       dev-cpp/asio
+       dev-cpp/simpleini
+       test? ( dev-cpp/gtest )"
+BDEPEND="sys-devel/gettext"
+
+src_prepare() {
+       cmake_src_prepare
+
+       # use system asio
+       echo 'add_library(asio INTERFACE)' > 3rdParty/asio/CMakeLists.txt || die
+
+       # ensure system copies are used
+       rm -r dist/{asio,simpleini,sdl_audiolib}-src || die
+}
+
+src_configure() {
+       local mycmakeargs=(
+               -DBUILD_TESTING=$(usex test)
+               -DCCACHE_PROGRAM=OFF #813768
+               -DDEBUG=$(usex debug)
+               -DDISABLE_LTO=ON # let CFLAGS control this
+               -DDISABLE_ZERO_TIER=$(usex !zerotier)
+               -DPACKET_ENCRYPTION=$(usex sodium)
+               -DPIE=ON
+       )
+
+       cmake_src_configure
+}
+
+src_install() {
+       local DOCS=( Packaging/nix/README.txt docs/*.md )
+       cmake_src_install
+
+       rm "${ED}"/usr/share/diasurgical/devilutionx/README.txt || die
+}
+
+pkg_postinst() {
+       xdg_pkg_postinst
+
+       if [[ ! ${REPLACING_VERSIONS} ]]; then
+               elog "In order to play the game, you will need to copy the 
following data file"
+               elog "from the original game, and optionally the hellfire 
expansion files:"
+               elog "  - DIABDAT.MPQ"
+               elog "  - hellfire.mpq hfmonk.mpq hfmusic.mpq hfvoice.mpq"
+               elog "to ~/.local/share/diasurgical/devilution/"
+               elog
+               elog "See ${EROOT}/usr/share/doc/${PF}/README.txt* for details."
+       fi
+}

Reply via email to